<script setup lang="ts">
import { ref } from 'vue';
import { useQuasar } from 'quasar';

const $q = useQuasar();

// Références pour le formulaire
const username = ref('');
const password = ref('');
const rememberMe = ref(false);

// Fonction de soumission du formulaire
const submitForm = () => {
  if (username.value && password.value) {
    $q.notify({
      type: 'positive',
      message: 'Connexion réussie'
    });
  } else {
    $q.notify({
      type: 'negative',
      message: 'Veuillez entrer votre nom d\'utilisateur et votre mot de passe'
    });
  }
};

// Fonction pour les boutons sociaux (exemple de placeholder)
const socialLogin = (provider: string) => {
  $q.notify({
    type: 'info',
    message: `Connexion avec ${provider} non implémentée`
  });
};
</script>

<template>
  <q-card class="q-pa-md bg-primary" style="min-width: 392px">
    <q-card-section class="text-center">
      <div class="text-h6">Connexion</div>
<!--      Connecter vous à votre compte grace à vos identifiants -->
      <span class="text-caption">Connectez-vous à votre compte avec vos identifiants</span>
    </q-card-section>

    <q-card-section>
      <q-input bg-color="white" color="secondary" v-model="username" label="Nom d'utilisateur" filled class="q-mb-md" />
      <q-input bg-color="white" color="secondary" v-model="password" label="Mot de passe" type="password" filled />
      <q-checkbox v-model="rememberMe" label="Se souvenir de moi" />
    </q-card-section>

    <q-card-actions align="center">
      <q-btn label="Connexion" color="secondary" @click="submitForm" />
    </q-card-actions>
    <div class="text-center">
      <a href="/#/register" class="text-accent">Nouveau sur Gloupbook ?</a>
    </div>

    <!--      <div className="relative mt-2">
        <div
          className="absolute inset-0 flex items-center"
          aria-hidden="true"
        >
          <div className="w-full border-t border-gray-200" />
        </div>
        <div className="relative flex justify-center text-sm font-medium leading-6">
          <span className="bg-white px-6 text-gray-900">Ou se connecter avec</span>
        </div>
      </div>-->
    <q-card-section class="text-center">
      <div class="row items-center">
        <q-separator horizontal color="secondary" size="2" class="col" />
        <div class="text-subtitle1 q-mx-lg text-uppercase">Ou continuer avec</div>
        <q-separator horizontal color="secondary" size="2" class="col" />
      </div>
    </q-card-section>
    <q-card-section class="text-center">
      <q-btn-group spread>
        <q-btn round color="red" text-color="white" @click="socialLogin('Google')">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 488 512" fill="currentColor" width="24" height="24">
            <!--!Font Awesome Free 6.5.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.-->
            <path
              d="M488 261.8C488 403.3 391.1 504 248 504 110.8 504 0 393.2 0 256S110.8 8 248 8c66.8 0 123 24.5 166.3 64.9l-67.5 64.9C258.5 52.6 94.3 116.6 94.3 256c0 86.5 69.1 156.6 153.7 156.6 98.2 0 135-70.4 140.8-106.9H248v-85.3h236.1c2.3 12.7 3.9 24.9 3.9 41.4z" />
          </svg>
        </q-btn>
        <q-btn round color="blue" icon="facebook" @click="socialLogin('Facebook')" />
        <q-btn round color="purple" icon="discord" @click="socialLogin('Discord')" />
      </q-btn-group>
    </q-card-section>
  </q-card>
</template>

<style scoped>
.q-card {
  max-width: 400px;
  margin: auto;
}

.text-center {
  text-align: center;
}
</style>
